using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
	public class PFParamItemMap : APTEntityBaseMap<T_PF_PARAM_ITEM>
	{

		public override void Configure(EntityTypeBuilder<T_PF_PARAM_ITEM> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.CODE).HasMaxLength(200);
			builder.Property(t => t.NAME).HasMaxLength(200);
            builder.Property(t => t.NAME_ACRONYM).HasMaxLength(400);
            builder.Property(t => t.REMARK).HasMaxLength(400);
			builder.Property(t => t.FIELD_NAME).HasMaxLength(100);
			builder.Property(t => t.LABEL).HasMaxLength(100);
			builder.Property(t => t.ENUM).HasMaxLength(200);
			builder.Property(t => t.DEFAULT_VALUE).HasMaxLength(200);
			builder.Property(t => t.PROMPT_INFO).HasMaxLength(200);
		}
		 
	}
}
